# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

# use this option to skip xfire-jms unit tests while activemq isn't available
%define nojmstests %{?_with_nojmstests:1}%{!?_with_nojmstests:%{?_without_nojmstests:0}%{!?_without_nojmstests:%{?_nojmstests:%{_nojmstests}}%{!?_nojmstests:0}}}

%define section  free
%define oname    apache-cxf

Name:           apache-cxf20
Version:        2.0.13
Release:        1%{?dist}
Epoch:          0
Summary:        CXF Service Framework
License:        ASL 2.0
Group:          Development/Java
URL:            http://cxf.codehaus.org/
Source0:        http://www.apache.org/dist/cxf/2.0.13/apache-cxf-2.0.13-src.tar.gz

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml
Source3:        apache-jar-resource-bundle-1.3.jar
Patch0:         apache-cxf20-parent-pom.patch
Patch1:         apache-cxf20-tools-common-pom.patch
Patch2:         apache-cxf20-testutils-pom.patch
Patch3:         apache-cxf20-rt-frontend-simple-pom.patch
Patch4:         apache-cxf20-jaxws-EndpointImpl.patch
Patch5:         apache-cxf20-rt-frontend-jaxws-pom.patch
Patch6:         apache-cxf20-distribution-bundle-all-pom.patch
Patch7:         apache-cxf20-distribution-bundle-minimal-pom.patch
Patch8:         apache-cxf20-distribution-pom.patch

# provisionally patch out servicemix3 from systests
Patch96:        apache-cxf20-bootstrap-systests-pom.patch
# provisionally patch out jbi: needs servicemix3-jbi
Patch97:        apache-cxf20-integration-pom.patch
Patch98:        apache-cxf20-rt-pom.patch
Patch99:        apache-cxf20-rt-bindings-pom.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0

BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-ant
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-checkstyle
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-one
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-pmd
BuildRequires:  maven2-plugin-project-info-reports
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-shade
BuildRequires:  maven2-plugin-site
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-report-maven-plugin
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-release
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-jaxb2
BuildRequires:  apache-jar-resource-bundle
BuildRequires:  geronimo-genesis
BuildRequires:  geronimo-genesis2
BuildRequires:  servicemix-build-maven-plugin

BuildRequires:  activemq5-core
BuildRequires:  activemq5-pool
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  ant-nodeps
BuildRequires:  annotation_1_0_api
BuildRequires:  jaxws-2.0-api
BuildRequires:  bouncycastle
BuildRequires:  javamail_1_4_api
BuildRequires:  derby
BuildRequires:  ejb_3_0_api
BuildRequires:  easymock-classextension2
BuildRequires:  j2ee_connector_1_5_api
BuildRequires:  j2ee_management_1_0_api
BuildRequires:  jms_1_1_api
BuildRequires:  httpunit
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-lang
BuildRequires:  apache-commons-logging
BuildRequires:  jaf_1_1_api
BuildRequires:  jaxb_2_0_api
BuildRequires:  jaxws_2_0_api
BuildRequires:  jaxen
BuildRequires:  jdom
BuildRequires:  jettison
BuildRequires:  jetty6
BuildRequires:  jibx
BuildRequires:  jra
BuildRequires:  jtidy
BuildRequires:  junit44
BuildRequires:  log4j
BuildRequires:  opensaml2
BuildRequires:  asm2
BuildRequires:  rhino
BuildRequires:  saaj_1_3_api
BuildRequires:  servicemix-specs
BuildRequires:  servicemix-utils
BuildRequires:  servicemix3-core
BuildRequires:  servlet_2_5_api
BuildRequires:  slf4j
BuildRequires:  spring2-aop
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
BuildRequires:  spring2-jms
BuildRequires:  spring2-test
BuildRequires:  spring2-web
BuildRequires:  stax_1_0_api
BuildRequires:  sun-jaxb-1.0-impl
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  sun-saaj-1.3-impl
BuildRequires:  velocity14
BuildRequires:  ws_metadata_2_0_api
BuildRequires:  ws-commons-neethi
BuildRequires:  ws-commons-XmlSchema
BuildRequires:  ws-jaxme
BuildRequires:  wsdl4j
BuildRequires:  wss4j >= 0:1.5.3
BuildRequires:  wstx
BuildRequires:  xalan-j2
BuildRequires:  xmlbeans
BuildRequires:  xmltooling < 0:1.2.1
BuildRequires:  xml-commons-resolver12

%if %{gcj_support}
BuildRequires:          java-gcj-compat-devel
Requires(post):         java-gcj-compat
Requires(postun):       java-gcj-compat
%endif
%if ! %{gcj_support}
BuildArch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
Apache CXF is an open source services framework. CXF helps 
you build and develop services using frontend programming 
APIs, like JAX-WS. These services can speak a variety of 
protocols such as SOAP, XML/HTTP, RESTful HTTP, or CORBA and
work over a variety of transports such as HTTP, JMS or JBI.
CXF includes a broad feature set, but it is primarily 
focused on the following areas:
* Web Services Standards Support: CXF supports a variety of
  web service standards including SOAP, the Basic Profile, 
  WSDL, WS-Addressing, WS-Policy, WS-ReliableMessaging, and
  WS-Security.
* Frontends: CXF supports a variety of "frontend" programming
  models. CXF implements the JAX-WS APIs (version 2.0 will be
  TCK compliant). It also includes a "simple frontend" which
  allows creation of clients and endpoints without annotations.
  CXF supports both contract first development with WSDL and
  code first development starting from Java.
* Ease of use: CXF is designed to be intuitive and easy to 
  use. There are simple APIs to quickly build code-first 
  services, Maven plug-ins to make tooling integration easy,
  JAX-WS API support, Spring 2.0 XML support to make 
  configuration a snap, and much more.
* Binary and Legacy Protocol Support: CXF has been designed
  to provide a pluggable architecture that supports not only
  XML but also non-XML type bindings, such as JSON and CORBA,
  in combination with any type of transport.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{oname}-%{version}-src

%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8

%if 0
%patch96 -b .sav96
%patch97 -b .sav97
%patch98 -b .sav98
%patch99 -b .sav99
%endif

%build

cp %{SOURCE1} maven2-settings.xml

sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" maven2-settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" maven2-settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" maven2-settings.xml

mkdir external_repo
ln -s %{_javadir} external_repo/JPP
mkdir -p m2_repo/repository
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository

export SETTINGS=$(pwd)/maven2-settings.xml
export DEPMAP=%{SOURCE2}

export MAVEN_OPTS="-Xmx512m -XX:MaxPermSize=128m"

mvn-jpp -e \
        -s $SETTINGS \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=$DEPMAP \
        -Djava.awt.headless=true \
        -Dmaven.test.skip=true \
        -Dmaven.test.failure.ignore=true \
        -Dspring.mock=spring-test \
        -Peverything \
        install 

mvn-jpp -e \
        -s $SETTINGS \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=$DEPMAP \
        -Dspring.mock=spring-test \
        -Daggregate=true \
        javadoc:javadoc 

%install
rm -rf $RPM_BUILD_ROOT
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-cxf.pom
%add_to_maven_depmap org.apache.cxf cxf %{version} JPP/%{name} cxf

install -m 644 parent/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-parent.pom
%add_to_maven_depmap org.apache.cxf cxf-parent %{version} JPP/%{name} parent

install -m 644 api/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-api.pom
%add_to_maven_depmap org.apache.cxf cxf-api %{version} JPP/%{name} api
install -m 644 api/target/cxf-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/api-%{version}.jar
install -m 644 api/target/cxf-api-%{version}-javadoc.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/api-javadoc-%{version}.jar

install -m 644 buildtools/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-buildtools.pom
%add_to_maven_depmap org.apache.cxf cxf-buildtools %{version} JPP/%{name} buildtools
install -m 644 buildtools/target/cxf-buildtools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/buildtools-%{version}.jar

install -m 644 common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common.pom
%add_to_maven_depmap org.apache.cxf cxf-common %{version} JPP/%{name} common

install -m 644 common/common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-utilities.pom
%add_to_maven_depmap org.apache.cxf cxf-common-utilities %{version} JPP/%{name} common-utilities
install -m 644 common/common/target/cxf-common-utilities-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common-utilities-%{version}.jar

install -m 644 common/schemas/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-schemas.pom
%add_to_maven_depmap org.apache.cxf cxf-common-schemas %{version} JPP/%{name} common-schemas
install -m 644 common/schemas/target/cxf-common-schemas-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common-schemas-%{version}.jar

install -m 644 common/xjc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc %{version} JPP/%{name} xjc

install -m 644 common/xjc/dv/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-dv.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-dv %{version} JPP/%{name} xjc-dv
install -m 644 common/xjc/dv/target/cxf-xjc-dv-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-dv-%{version}.jar

install -m 644 common/xjc/dv-test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-dv-test.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-dv-test %{version} JPP/%{name} xjc-dv-test
install -m 644 common/xjc/dv-test/target/cxf-xjc-dv-test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-dv-test-%{version}.jar

install -m 644 common/xjc/ts/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-ts.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-ts %{version} JPP/%{name} xjc-ts
install -m 644 common/xjc/ts/target/cxf-xjc-ts-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-ts-%{version}.jar

install -m 644 common/xjc/ts-test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-xjc-ts-test.pom
%add_to_maven_depmap org.apache.cxf cxf-xjc-ts-test %{version} JPP/%{name} xjc-ts-test
install -m 644 common/xjc/ts-test/target/cxf-xjc-ts-test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/xjc-ts-test-%{version}.jar

install -m 644 common/xsd/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-common-xsd.pom
%add_to_maven_depmap org.apache.cxf cxf-common-xsd %{version} JPP/%{name} common-xsd
install -m 644 common/xsd/target/cxf-common-xsd-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/common-xsd-%{version}.jar

#BUILD/apache-cxf-2.0.13-src/etc/idea/settings.jar
install -m 644 distribution/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-apache-cxf.pom
%add_to_maven_depmap org.apache.cxf apache-cxf %{version} JPP/%{name} apache-cxf

install -m 644 distribution/bundle/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle-parent.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle-parent %{version} JPP/%{name} bundle-parent

install -m 644 distribution/bundle/minimal/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle-minimal.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle-minimal %{version} JPP/%{name} bundle-minimal
install -m 644 distribution/bundle/minimal/target/cxf-bundle-minimal-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-minimal-%{version}.jar

install -m 644 distribution/bundle/all/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle.pom
%add_to_maven_depmap org.apache.cxf cxf-bundle %{version} JPP/%{name} bundle
install -m 644 distribution/bundle/all/target/cxf-bundle-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-%{version}.jar

install -m 644 integration/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-integration.pom
%add_to_maven_depmap org.apache.cxf cxf-integration %{version} JPP/%{name} integration

install -m 644 integration/jca/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-integration-jca.pom
%add_to_maven_depmap org.apache.cxf cxf-integration-jca %{version} JPP/%{name} integration-jca
install -m 644 integration/jca/target/cxf-integration-jca-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/integration-jca-%{version}.jar

install -m 644 maven-plugins/archetypes/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetypes.pom
%add_to_maven_depmap org.apache.cxf cxf-archetypes %{version} JPP/%{name} archetypes

install -m 644 maven-plugins/archetypes/cxf-http-basic/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-http-basic.pom
%add_to_maven_depmap org.apache.cxf cxf-http-basic %{version} JPP/%{name} http-basic
install -m 644 maven-plugins/archetypes/cxf-http-basic/target/cxf-http-basic-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/http-basic-%{version}.jar

install -m 644 maven-plugins/codegen-plugin/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-codegen-plugin.pom
%add_to_maven_depmap org.apache.cxf cxf-codegen-plugin %{version} JPP/%{name} codegen-plugin
install -m 644 maven-plugins/codegen-plugin/target/cxf-codegen-plugin-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/codegen-plugin-%{version}.jar

install -m 644 maven-plugins/eclipse-plugin-generator/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-eclipse-plugin-generator.pom
%add_to_maven_depmap org.apache.cxf cxf-eclipse-plugin-generator %{version} JPP/%{name} eclipse-plugin-generator
install -m 644 maven-plugins/eclipse-plugin-generator/target/cxf-eclipse-plugin-generator-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/eclipse-plugin-generator-%{version}.jar

install -m 644 rt/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt.pom
%add_to_maven_depmap org.apache.cxf cxf-rt %{version} JPP/%{name} rt

install -m 644 rt/bindings/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings %{version} JPP/%{name} rt-bindings

install -m 644 rt/bindings/coloc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-coloc.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-coloc %{version} JPP/%{name} rt-bindings-coloc
install -m 644 rt/bindings/coloc/target/cxf-rt-bindings-coloc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-coloc-%{version}.jar

install -m 644 rt/bindings/http/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-http.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-http %{version} JPP/%{name} rt-bindings-http
install -m 644 rt/bindings/http/target/cxf-rt-bindings-http-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-http-%{version}.jar

install -m 644 rt/bindings/object/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-object.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-object %{version} JPP/%{name} rt-bindings-object
install -m 644 rt/bindings/object/target/cxf-rt-bindings-object-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-object-%{version}.jar

install -m 644 rt/bindings/soap/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-soap.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-soap %{version} JPP/%{name} rt-bindings-soap
install -m 644 rt/bindings/soap/target/cxf-rt-bindings-soap-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-soap-%{version}.jar

install -m 644 rt/bindings/xml/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-bindings-xml.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-bindings-xml %{version} JPP/%{name} rt-bindings-xml
install -m 644 rt/bindings/xml/target/cxf-rt-bindings-xml-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-bindings-xml-%{version}.jar

install -m 644 rt/core/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-core.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-core %{version} JPP/%{name} rt-core
install -m 644 rt/core/target/cxf-rt-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-core-%{version}.jar

install -m 644 rt/databinding/aegis/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding-aegis.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-databinding-aegis %{version} JPP/%{name} rt-databinding-aegis
install -m 644 rt/databinding/aegis/target/cxf-rt-databinding-aegis-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-databinding-aegis-%{version}.jar

install -m 644 rt/databinding/jaxb/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-databinding-jaxb.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-databinding-jaxb %{version} JPP/%{name} rt-databinding-jaxb
install -m 644 rt/databinding/jaxb/target/cxf-rt-databinding-jaxb-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-databinding-jaxb-%{version}.jar

install -m 644 rt/frontend/jaxws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-jaxws.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-jaxws %{version} JPP/%{name} rt-frontend-jaxws
install -m 644 rt/frontend/jaxws/target/cxf-rt-frontend-jaxws-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-jaxws-%{version}.jar

install -m 644 rt/frontend/js/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-js.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-js %{version} JPP/%{name} rt-frontend-js
install -m 644 rt/frontend/js/target/cxf-rt-frontend-js-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-js-%{version}.jar

install -m 644 rt/frontend/simple/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-frontend-simple.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-frontend-simple %{version} JPP/%{name} rt-frontend-simple
install -m 644 rt/frontend/simple/target/cxf-rt-frontend-simple-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-frontend-simple-%{version}.jar

install -m 644 rt/management/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-management.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-management %{version} JPP/%{name} rt-management
install -m 644 rt/management/target/cxf-rt-management-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-management-%{version}.jar

install -m 644 rt/transports/http-jetty/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-http-jetty.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-http-jetty %{version} JPP/%{name} rt-transports-http-jetty
install -m 644 rt/transports/http-jetty/target/cxf-rt-transports-http-jetty-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-http-jetty-%{version}.jar

install -m 644 rt/transports/http/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-http.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-http %{version} JPP/%{name} rt-transports-http
install -m 644 rt/transports/http/target/cxf-rt-transports-http-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-http-%{version}.jar

install -m 644 rt/transports/jms/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-jms.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-jms %{version} JPP/%{name} rt-transports-jms
install -m 644 rt/transports/jms/target/cxf-rt-transports-jms-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-jms-%{version}.jar

install -m 644 rt/transports/local/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-transports-local.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-transports-local %{version} JPP/%{name} rt-transports-local
install -m 644 rt/transports/local/target/cxf-rt-transports-local-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-transports-local-%{version}.jar

install -m 644 rt/ws/addr/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-addr.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-addr %{version} JPP/%{name} rt-ws-addr
install -m 644 rt/ws/addr/target/cxf-rt-ws-addr-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-addr-%{version}.jar

install -m 644 rt/ws/policy/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-policy.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-policy %{version} JPP/%{name} rt-ws-policy
install -m 644 rt/ws/policy/target/cxf-rt-ws-policy-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-policy-%{version}.jar

install -m 644 rt/ws/rm/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-rm.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-rm %{version} JPP/%{name} rt-ws-rm
install -m 644 rt/ws/rm/target/cxf-rt-ws-rm-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-rm-%{version}.jar

install -m 644 rt/ws/security/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-rt-ws-security.pom
%add_to_maven_depmap org.apache.cxf cxf-rt-ws-security %{version} JPP/%{name} rt-ws-security
install -m 644 rt/ws/security/target/cxf-rt-ws-security-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/rt-ws-security-%{version}.jar

install -m 644 systests/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-systests.pom
%add_to_maven_depmap org.apache.cxf cxf-systests %{version} JPP/%{name} systests
install -m 644 systests/target/cxf-systests-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-%{version}.jar
install -m 644 systests/target/cxf-systests-%{version}-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/systests-tests-%{version}.jar

install -m 644 testutils/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-testutils.pom
%add_to_maven_depmap org.apache.cxf cxf-testutils %{version} JPP/%{name} testutils
install -m 644 testutils/target/cxf-testutils-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/testutils-%{version}.jar

install -m 644 tools/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools.pom
%add_to_maven_depmap org.apache.cxf cxf-tools %{version} JPP/%{name} tools

install -m 644 tools/anttask/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-anttasks.pom
%add_to_maven_depmap org.apache.cxf cxf-anttasks %{version} JPP/%{name} anttasks
install -m 644 tools/anttask/target/cxf-anttasks-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/anttasks-%{version}.jar

install -m 644 tools/common/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-common.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-common %{version} JPP/%{name} tools-common
install -m 644 tools/common/target/cxf-tools-common-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-common-%{version}.jar

install -m 644 tools/javato/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-javato.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-javato %{version} JPP/%{name} tools-javato

install -m 644 tools/javato/core/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-java2wsdl.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-java2wsdl %{version} JPP/%{name} tools-java2wsdl
install -m 644 tools/javato/core/target/cxf-tools-java2wsdl-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-java2wsdl-%{version}.jar

install -m 644 tools/javato/test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-java2wsdl-test.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-java2wsdl-test %{version} JPP/%{name} tools-java2wsdl-test
install -m 644 tools/javato/test/target/cxf-tools-java2wsdl-test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-java2wsdl-test-%{version}.jar

install -m 644 tools/validator/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-validator.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-validator %{version} JPP/%{name} tools-validator
install -m 644 tools/validator/target/cxf-tools-validator-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-validator-%{version}.jar

install -m 644 tools/wsdlto/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto %{version} JPP/%{name} tools-wsdlto

install -m 644 tools/wsdlto/core/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-core.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-core %{version} JPP/%{name} tools-wsdlto-core
install -m 644 tools/wsdlto/core/target/cxf-tools-wsdlto-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-core-%{version}.jar

install -m 644 tools/wsdlto/databinding/jaxb/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-databinding-jaxb.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-databinding-jaxb %{version} JPP/%{name} tools-wsdlto-databinding-jaxb
install -m 644 tools/wsdlto/databinding/jaxb/target/cxf-tools-wsdlto-databinding-jaxb-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-databinding-jaxb-%{version}.jar

install -m 644 tools/wsdlto/frontend/jaxws/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-frontend-jaxws.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-frontend-jaxws %{version} JPP/%{name} tools-wsdlto-frontend-jaxws
install -m 644 tools/wsdlto/frontend/jaxws/target/cxf-tools-wsdlto-frontend-jaxws-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-frontend-jaxws-%{version}.jar

install -m 644 tools/wsdlto/misc/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-misctools.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-misctools %{version} JPP/%{name} tools-misctools
install -m 644 tools/wsdlto/misc/target/cxf-tools-misctools-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-misctools-%{version}.jar

install -m 644 tools/wsdlto/test/pom.xml \
  $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tools-wsdlto-test.pom
%add_to_maven_depmap org.apache.cxf cxf-tools-wsdlto-test %{version} JPP/%{name} tools-wsdlto-test
install -m 644 tools/wsdlto/test/target/cxf-tools-wsdlto-test-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/tools-wsdlto-test-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun 
%update_maven_depmap
%if %{gcj_support}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files 
%defattr(-,root,root,-)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%if %{gcj_support}
%attr(-,root,root) %dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/maven-bundle-plugin*-%{version}.jar.*
%endif

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Mon Jul 04 2011 Ralph Apel <r.apel at r-apel.de> - 0:2.0.13-1
- First release
